> ## Documentation Index
> Fetch the complete documentation index at: https://docs.anysite.io/llms.txt
> Use this file to discover all available pages before exploring further.

# /vk/users/search

> Search VK users (people) by a free-text query (name). Returns the top matching profiles with id, name, alias, avatar, sex, verified and city.

**Price:** 1 credit



## OpenAPI

````yaml /openapi/social-media.json post /api/vk/users/search
openapi: 3.1.0
info:
  title: Any Site API
  description: >+
    Any Site API provides programmatic access to data from LinkedIn, Instagram,
    Twitter, and other platforms.


    ## Authentication


    All API endpoints require an `access-token` header with a valid API token.
    Tokens can be created in the [dashboard](https://app.anysite.io/).


    ## Pricing


    Each endpoint has a credit cost listed in its description. Credits are
    deducted from your token balance per request.

  version: 0.0.1
servers: []
security:
  - AccessToken: []
paths:
  /api/vk/users/search:
    post:
      tags:
        - /vk
      summary: /vk/users/search
      description: >-
        Search VK users (people) by a free-text query (name). Returns the top
        matching profiles with id, name, alias, avatar, sex, verified and city.


        **Price:** 1 credit
      operationId: __api_vk_users_search_post
      parameters:
        - name: access-token
          in: header
          required: true
          schema:
            anyOf:
              - type: string
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/VkUsersSearchPayload'
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/VkUser'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    VkUsersSearchPayload:
      properties:
        timeout:
          type: integer
          maximum: 1500
          minimum: 20
          default: 300
        query:
          type: string
          minLength: 1
        count:
          type: integer
          minimum: 1
      type: object
      required:
        - query
        - count
    VkUser:
      properties:
        '@type':
          type: string
          default: VkUser
        id:
          type: integer
        name:
          anyOf:
            - type: string
            - type: 'null'
        first_name:
          anyOf:
            - type: string
            - type: 'null'
        last_name:
          anyOf:
            - type: string
            - type: 'null'
        alias:
          anyOf:
            - type: string
            - type: 'null'
        image:
          anyOf:
            - type: string
            - type: 'null'
        is_verified:
          type: boolean
          default: false
        is_closed:
          type: boolean
          default: false
        is_online:
          type: boolean
          default: false
        sex:
          anyOf:
            - type: string
            - type: 'null'
        status:
          anyOf:
            - type: string
            - type: 'null'
        about:
          anyOf:
            - type: string
            - type: 'null'
        bdate:
          anyOf:
            - type: string
            - type: 'null'
        city:
          anyOf:
            - type: string
            - type: 'null'
        country:
          anyOf:
            - type: string
            - type: 'null'
        home_town:
          anyOf:
            - type: string
            - type: 'null'
        site:
          anyOf:
            - type: string
            - type: 'null'
        occupation:
          anyOf:
            - type: string
            - type: 'null'
        occupation_type:
          anyOf:
            - type: string
            - type: 'null'
        relation:
          anyOf:
            - type: string
            - type: 'null'
        interests:
          anyOf:
            - type: string
            - type: 'null'
        activities:
          anyOf:
            - type: string
            - type: 'null'
        music:
          anyOf:
            - type: string
            - type: 'null'
        movies:
          anyOf:
            - type: string
            - type: 'null'
        tv:
          anyOf:
            - type: string
            - type: 'null'
        books:
          anyOf:
            - type: string
            - type: 'null'
        games:
          anyOf:
            - type: string
            - type: 'null'
        quotes:
          anyOf:
            - type: string
            - type: 'null'
        personal:
          anyOf:
            - $ref: '#/components/schemas/VkUserPersonal'
            - type: 'null'
        career:
          items:
            $ref: '#/components/schemas/VkUserCareer'
          type: array
          default: []
        universities:
          items:
            $ref: '#/components/schemas/VkUserUniversity'
          type: array
          default: []
        schools:
          items:
            $ref: '#/components/schemas/VkUserSchool'
          type: array
          default: []
        relatives:
          items:
            $ref: '#/components/schemas/VkUserRelative'
          type: array
          default: []
        last_seen_at:
          anyOf:
            - type: integer
            - type: 'null'
        follower_count:
          anyOf:
            - type: integer
            - type: 'null'
        profile_url:
          anyOf:
            - type: string
            - type: 'null'
      type: object
      required:
        - id
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
      type: object
    VkUserPersonal:
      properties:
        '@type':
          type: string
          default: VkUserPersonal
        political:
          anyOf:
            - type: string
            - type: 'null'
        religion:
          anyOf:
            - type: string
            - type: 'null'
        inspired_by:
          anyOf:
            - type: string
            - type: 'null'
        life_main:
          anyOf:
            - type: string
            - type: 'null'
        people_main:
          anyOf:
            - type: string
            - type: 'null'
        smoking:
          anyOf:
            - type: string
            - type: 'null'
        alcohol:
          anyOf:
            - type: string
            - type: 'null'
        langs:
          items:
            type: string
          type: array
          default: []
      type: object
    VkUserCareer:
      properties:
        '@type':
          type: string
          default: VkUserCareer
        group_id:
          anyOf:
            - type: integer
            - type: 'null'
        company:
          anyOf:
            - type: string
            - type: 'null'
        position:
          anyOf:
            - type: string
            - type: 'null'
        from_year:
          anyOf:
            - type: integer
            - type: 'null'
        until_year:
          anyOf:
            - type: integer
            - type: 'null'
        city_id:
          anyOf:
            - type: integer
            - type: 'null'
      type: object
    VkUserUniversity:
      properties:
        '@type':
          type: string
          default: VkUserUniversity
        id:
          anyOf:
            - type: integer
            - type: 'null'
        name:
          anyOf:
            - type: string
            - type: 'null'
        faculty:
          anyOf:
            - type: string
            - type: 'null'
        chair:
          anyOf:
            - type: string
            - type: 'null'
        education_form:
          anyOf:
            - type: string
            - type: 'null'
        education_status:
          anyOf:
            - type: string
            - type: 'null'
        graduation_year:
          anyOf:
            - type: integer
            - type: 'null'
        city_id:
          anyOf:
            - type: integer
            - type: 'null'
      type: object
    VkUserSchool:
      properties:
        '@type':
          type: string
          default: VkUserSchool
        id:
          anyOf:
            - type: string
            - type: 'null'
        name:
          anyOf:
            - type: string
            - type: 'null'
        year_from:
          anyOf:
            - type: integer
            - type: 'null'
        year_to:
          anyOf:
            - type: integer
            - type: 'null'
        graduation_year:
          anyOf:
            - type: integer
            - type: 'null'
        speciality:
          anyOf:
            - type: string
            - type: 'null'
        class_letter:
          anyOf:
            - type: string
            - type: 'null'
      type: object
    VkUserRelative:
      properties:
        '@type':
          type: string
          default: VkUserRelative
        relative_type:
          anyOf:
            - type: string
            - type: 'null'
        user_id:
          anyOf:
            - type: integer
            - type: 'null'
        name:
          anyOf:
            - type: string
            - type: 'null'
      type: object
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
        msg:
          type: string
        type:
          type: string
        input: {}
        ctx:
          type: object
      type: object
      required:
        - loc
        - msg
        - type
  securitySchemes:
    AccessToken:
      type: apiKey
      in: header
      name: access-token
      description: API token from the dashboard

````